/* ================================== Vars ======================== */
:root {
	--primary-color: #204f6e;
	--dark-color: #333333;
	--light-color: #f4f4f4;
	--danger-color: #dc3545;
	--success-color: #28a745;
	--background-color: #dcdcdc;
}

/* ================================== Reset ======================== */

*,
*::after,
*::before {
	box-sizing: border-box;
}

/* ================================== Page Areas ======================== */

body {
	margin: 0;
	padding: 0;
	font-family: Arial, Helvetica, sans-serif;
	/* overscroll-behavior-y: none; */
	/* overscroll-behavior-block: none; */
	/* touch-action: pan-y pan-x; */
}

.pageContainer {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: auto 1fr auto;
	width: 100vw;
	height: 100vh;
	max-width: 600px;
	margin: 0 auto;
	overflow: auto;
	/* overscroll-behavior-y: none; */
	/* overscroll-behavior-block: none; */
	/* touch-action: none; */
}

.pageContainer header {
	background-color: ivory;
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	/* padding: 0.5rem 0 0.3rem 0; */
}

.pageContainer .headerLeft {
	display: flex;
	align-content: center;
	align-items: center;
}

.pageContainer .headerLeft svg {
	margin-left: 10px;
	cursor: pointer;
}

.pageContainer .headerRight {
	margin-right: 5px;
}

.pageContainer .headerCenter {
	font-weight: 800;
	font-size: 1.25rem;
}

.pageContainer header > *:last-child {
	text-align: right;
}

.pageContainer main {
	/* display: flex; */
	/* align-items: center; */
	/* justify-content: center; */
	position: relative;
	background-color: var(--background-color);
	overflow: auto;
	padding: 0.5rem;
}

.pageContainer footer {
	color: white;
	background-color: black;
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	/* padding: 0.3rem 0 1.1rem 0; */
}

.pageContainer footer > div {
	padding: 0 8px;
}

.pageContainer .footerCenter {
	text-align: center;
}

.pageContainer footer > *:last-child {
	text-align: right;
}

/* ================================== Cards ======================== */
/* Leaving the cards.css pure and overriding here */

.card.selected {
	padding-top: 0px !important;
	padding-bottom: 10px !important;
	/* outline-width: 5px solid red; */
}

.hand {
	font-size: 0;
	position: relative;
}

.hand.hhand {
	display: block;
}

.hand.hhand-compact {
	display: flex;
	justify-content: center;
}

.hand.hhand-compact.scroll-x {
	justify-content: start;
	overflow-x: auto;
	/* overflow-y: scroll; */
	margin: 0.25rem 0 0.25rem;
	padding-left: 52px;
}

.hhand img.card {
	width: 19%;
	margin-left: calc(5% / 4);
}

.hhand-compact img.card {
	width: calc(17% + 52px);
}

.hhand-compact.scroll-x img.card {
	width: calc(9% + 52px);
	margin-left: -52px;
}

/* .hand.hhand :first-child {
	margin-left: 0;
} */

.card.starter {
	border-bottom: 2px solid blue;
}

#starterLabel {
	font-size: 0.75rem;
	position: absolute;
	top: 15px;
	right: 10px;
	background-color: rgba(250, 226, 15, 0.5);
	border-radius: 2px;
}

.hideCard {
	opacity: 0;
	pointer-events: none;
}

/* ================================== Suit Filter ======================== */
#handBuilderContainer .suitFilter form {
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.3rem;
	margin: 0.5rem 0;
}

#handBuilderContainer .suitFilter input {
	margin-left: 1.2rem;
	height: 1rem;
	width: 1rem;
}

/* ================================== Score ======================== */
.explainCard {
	border-bottom: 2px solid black;
	margin-bottom: 0.5rem;
	/* padding: 0.25rem 0.5rem; */
}

#computedScore {
	font-size: 1.2rem;
	font-weight: bold;
	border: 2px solid black;
	border-radius: 3px;
	margin-bottom: 0.5rem;
	padding: 0.25rem 0.5rem;
	background-color: var(--light-color);
	text-align: center;
}

.scoreExplainText {
	margin-bottom: 0.25rem;
}

/* ================================== Hand Builder ======================== */
#handBuilderContainer {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

#handBuilderContainer .backdrop {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
}

#handBuilderContainer .box {
	position: absolute;
	width: 95%;
	/* height: 50%; */
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	border: 2px solid black;
	border-radius: 10px;
	overflow: auto;
}

#handBuilderContainer .main {
	padding: 0.5rem;
	background-color: var(--background-color);
}

#handBuilderContainer .footer {
	display: flex;
	justify-content: right;
	padding: 0.25rem;
	background-color: var(--light-color);
}

/* ================================== Utility ======================== */

.d-none {
	display: none;
}

.flex-center {
	display: flex;
	justify-content: center;
}

.m {
	margin: 0.5rem;
}
.m-1 {
	margin: 1rem;
}
.m-2 {
	margin: 2rem;
}
.m-3 {
	margin: 3rem;
}
.my {
	margin: 0.5rem 0;
}
.my-1 {
	margin: 1rem 0;
}
.my-2 {
	margin: 2rem 0;
}
.my-3 {
	margin: 3rem 0;
}

.btn {
	display: inline-block;
	background: var(--light-color);
	color: #333;
	padding: 0.4rem 1.3rem;
	font-size: 1rem;
	/* border: none; */
	border-radius: 5px;
	cursor: pointer;
	margin-right: 0.5rem;
	transition: opacity 0.2s ease-in;
	/* outline: none; */
}

.btn-primary,
.bg-primary,
.badge-primary,
.alert-primary {
	background: var(--primary-color);
	color: #fff;
}

.btn-light,
.bg-light,
.badge-light,
.alert-light {
	background: var(--light-color);
	color: #333;
}

.btn-dark,
.bg-dark,
.badge-dark,
.alert-dark {
	background: var(--dark-color);
	color: #fff;
}

.btn-danger,
.bg-danger,
.badge-danger,
.alert-danger {
	background: var(--danger-color);
	color: #fff;
}

.btn-success,
.bg-success,
.badge-success,
.alert-success {
	background: var(--success-color);
	color: #fff;
}

.btn-white,
.bg-white,
.badge-white,
.alert-white {
	background: #fff;
	color: #333;
	border: #ccc solid 1px;
}

.btn:hover {
	opacity: 0.8;
}

.bg-light,
.badge-light {
	border: #ccc solid 1px;
}

.red {
	color: red;
}
